
services:
  copyparty:
    image: copyparty/ac:latest
    container_name: copyparty
    restart: unless-stopped
    ports:
      - 3923:3923
    volumes:
      - /srv/copyparty:/cfg:z
      - /home/null/shares/disk1:/w:z
    networks:
      - traefik
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.copy.entrypoints=websecure"
      - "traefik.http.routers.copy.rule=Host(`copy.knast.cc`)"
      - "traefik.http.routers.copy.tls.certresolver=letsencr"
      - "traefik.http.services.copy.loadbalancer.server.port=3923"
 
    stop_grace_period: 15s  # thumbnailer is allowed to continue finishing up for 10s after the shutdown signal
    healthcheck:
      test: ["CMD-SHELL", "wget --spider -q 127.0.0.1:3923/?reset"]
      interval: 1m
      timeout: 2s
      retries: 5
      start_period: 15s

volumes:
  nfs_tv_data:
    external: true


networks:
  traefik:
    external: true
